com.amazonaws.services.codecommit.model

## Class RepositoryTrigger

- java.lang.Object
- - com.amazonaws.services.codecommit.model.RepositoryTrigger

All Implemented Interfaces:
  Serializable, Cloneable

    public class RepositoryTrigger
    extends Object
    implements Serializable, Cloneable

Information about a trigger for a repository.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RepositoryTrigger()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RepositoryTrigger` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getBranches()` The branches that will be included in the trigger configuration.
`String` `getCustomData()` Any custom data associated with the trigger that will be included in the information sent to the target of the trigger.
`String` `getDestinationArn()` The ARN of the resource that is the target for a trigger.
`List<String>` `getEvents()` The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS).
`String` `getName()` The name of the trigger.
`int` `hashCode()`
`void` `setBranches(Collection<String> branches)` The branches that will be included in the trigger configuration.
`void` `setCustomData(String customData)` Any custom data associated with the trigger that will be included in the information sent to the target of the trigger.
`void` `setDestinationArn(String destinationArn)` The ARN of the resource that is the target for a trigger.
`void` `setEvents(Collection<String> events)` The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS).
`void` `setName(String name)` The name of the trigger.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RepositoryTrigger` `withBranches(Collection<String> branches)` The branches that will be included in the trigger configuration.
`RepositoryTrigger` `withBranches(String... branches)` The branches that will be included in the trigger configuration.
`RepositoryTrigger` `withCustomData(String customData)` Any custom data associated with the trigger that will be included in the information sent to the target of the trigger.
`RepositoryTrigger` `withDestinationArn(String destinationArn)` The ARN of the resource that is the target for a trigger.
`RepositoryTrigger` `withEvents(Collection<String> events)` The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS).
`RepositoryTrigger` `withEvents(RepositoryTriggerEventEnum... events)` The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS).
`RepositoryTrigger` `withEvents(String... events)` The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS).
`RepositoryTrigger` `withName(String name)` The name of the trigger.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RepositoryTrigger

    public RepositoryTrigger()

### Method Detail

#### setName

    public void setName(String name)

The name of the trigger.

Parameters:
  `name` - The name of the trigger.

#### getName

    public String getName()

The name of the trigger.

Returns:
  The name of the trigger.

#### withName

    public RepositoryTrigger withName(String name)

The name of the trigger.

Parameters:
  `name` - The name of the trigger.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDestinationArn

    public void setDestinationArn(String destinationArn)

The ARN of the resource that is the target for a trigger. For example, the ARN of a topic in Amazon Simple Notification Service (SNS).

Parameters:
  `destinationArn` - The ARN of the resource that is the target for a trigger. For example, the ARN of a topic in Amazon Simple Notification Service (SNS).

#### getDestinationArn

    public String getDestinationArn()

The ARN of the resource that is the target for a trigger. For example, the ARN of a topic in Amazon Simple Notification Service (SNS).

Returns:
  The ARN of the resource that is the target for a trigger. For example, the ARN of a topic in Amazon Simple Notification Service (SNS).

#### withDestinationArn

    public RepositoryTrigger withDestinationArn(String destinationArn)

The ARN of the resource that is the target for a trigger. For example, the ARN of a topic in Amazon Simple Notification Service (SNS).

Parameters:
  `destinationArn` - The ARN of the resource that is the target for a trigger. For example, the ARN of a topic in Amazon Simple Notification Service (SNS).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCustomData

    public void setCustomData(String customData)

Any custom data associated with the trigger that will be included in the information sent to the target of the trigger.

Parameters:
  `customData` - Any custom data associated with the trigger that will be included in the information sent to the target of the trigger.

#### getCustomData

    public String getCustomData()

Any custom data associated with the trigger that will be included in the information sent to the target of the trigger.

Returns:
  Any custom data associated with the trigger that will be included in the information sent to the target of the trigger.

#### withCustomData

    public RepositoryTrigger withCustomData(String customData)

Any custom data associated with the trigger that will be included in the information sent to the target of the trigger.

Parameters:
  `customData` - Any custom data associated with the trigger that will be included in the information sent to the target of the trigger.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getBranches

    public List<String> getBranches()

The branches that will be included in the trigger configuration. If no branches are specified, the trigger will apply to all branches.

Returns:
  The branches that will be included in the trigger configuration. If no branches are specified, the trigger will apply to all branches.

#### setBranches

    public void setBranches(Collection<String> branches)

The branches that will be included in the trigger configuration. If no branches are specified, the trigger will apply to all branches.

Parameters:
  `branches` - The branches that will be included in the trigger configuration. If no branches are specified, the trigger will apply to all branches.

#### withBranches

    public RepositoryTrigger withBranches(String... branches)

The branches that will be included in the trigger configuration. If no branches are specified, the trigger will apply to all branches.

NOTE: This method appends the values to the existing list (if any). Use `setBranches(java.util.Collection)` or `withBranches(java.util.Collection)` if you want to override the existing values.

Parameters:
  `branches` - The branches that will be included in the trigger configuration. If no branches are specified, the trigger will apply to all branches.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withBranches

    public RepositoryTrigger withBranches(Collection<String> branches)

The branches that will be included in the trigger configuration. If no branches are specified, the trigger will apply to all branches.

Parameters:
  `branches` - The branches that will be included in the trigger configuration. If no branches are specified, the trigger will apply to all branches.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getEvents

    public List<String> getEvents()

The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS). If no events are specified, the trigger will run for all repository events.

Returns:
  The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS). If no events are specified, the trigger will run for all repository events.
See Also:
  `RepositoryTriggerEventEnum`

#### setEvents

    public void setEvents(Collection<String> events)

The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS). If no events are specified, the trigger will run for all repository events.

Parameters:
  `events` - The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS). If no events are specified, the trigger will run for all repository events.
See Also:
  `RepositoryTriggerEventEnum`

#### withEvents

    public RepositoryTrigger withEvents(String... events)

The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS). If no events are specified, the trigger will run for all repository events.

NOTE: This method appends the values to the existing list (if any). Use `setEvents(java.util.Collection)` or `withEvents(java.util.Collection)` if you want to override the existing values.

Parameters:
  `events` - The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS). If no events are specified, the trigger will run for all repository events.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RepositoryTriggerEventEnum`

#### withEvents

    public RepositoryTrigger withEvents(Collection<String> events)

The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS). If no events are specified, the trigger will run for all repository events.

Parameters:
  `events` - The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS). If no events are specified, the trigger will run for all repository events.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RepositoryTriggerEventEnum`

#### withEvents

    public RepositoryTrigger withEvents(RepositoryTriggerEventEnum... events)

The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS). If no events are specified, the trigger will run for all repository events.

Parameters:
  `events` - The repository events that will cause the trigger to run actions in another service, such as sending a notification through Amazon Simple Notification Service (SNS). If no events are specified, the trigger will run for all repository events.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RepositoryTriggerEventEnum`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RepositoryTrigger clone()

Overrides:
  `clone` in class `Object`